PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_stradd_Tile | ( | PLASMA_enum | uplo,
|  | PLASMA_enum | trans,
|  | float | alpha,
|  | PLASMA_desc * | A,
|  | float | beta,
|  | PLASMA_desc * | B
| ) |  |

PLASMA_stradd_Tile - Performs a matrix addition similarly to the pstradd() function from the PBLAS library. Tile equivalent of PLASMA_stradd(). Operates on matrices stored by tiles. All matrices are passed through descriptors. All dimensions are taken from the descriptors.

Parameters

  [in] | uplo | Specifies the shape of A and B matrices: = PlasmaUpperLower: A and B are general matrices. = PlasmaUpper: op(A) and B are upper trapezoidal matrices. = PlasmaLower: op(A) and B are lower trapezoidal matrices.
  [in] | trans | Specifies whether the matrix A is transposed, not transposed or ugate transposed: = PlasmaNoTrans: A is not transposed; = PlasmaTrans: A is transposed; = PlasmaTrans: A is ugate transposed.
  [in] | alpha | alpha specifies the scalar alpha
  [in] | A | A is a LDA-by-ka matrix, where ka is N when trans = PlasmaNoTrans, and is M otherwise.
  [in] | beta | beta specifies the scalar beta
  [in,out] | B | B is a LDB-by-N matrix.

Returns

Return values

  PLASMA_SUCCESS | successful exit

See also
  PLASMA_stradd
  PLASMA_stradd_Tile_Async
  PLASMA_ctradd_Tile
  PLASMA_dtradd_Tile
  PLASMA_stradd_Tile